PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

Functions
pearl-menu.ipf File Reference

Go to the source code of this file.

## Functions
string | PearlMenuEnableFunc (string funcname)
| check whether a function name exists More...
variable | LoadPearlOptics ()
variable | LoadPearlArpes ()
variable | LoadPearlPreparation ()
variable | Display2dProfiles ()
variable | Display3dSlicer ()
variable | DisplayGizmoSlicer ()
variable | PearlLiveDisplay (string epicsname, string nickname, string wbRGB)
| area detector live display More...
variable | PearlCameraDisplay (string epicsname, string nickname, string wbRGB)
| area detector surveillance camera display More...
variable | PearlAnglescanTracker (string epicsname, string wbRGB)
| display the angle scan tracker window More...
variable | PearlSampleTracker (variable action)
| display the sample tracker window More...

## Function Documentation

## ◆ Display2dProfiles()

variable Display2dProfiles | ( |  | ) |

Definition at line 116 of file pearl-menu.ipf.

## ◆ Display3dSlicer()

variable Display3dSlicer | ( |  | ) |

Definition at line 133 of file pearl-menu.ipf.

## ◆ DisplayGizmoSlicer()

variable DisplayGizmoSlicer | ( |  | ) |

Definition at line 152 of file pearl-menu.ipf.

## ◆ LoadPearlArpes()

variable LoadPearlArpes | ( |  | ) |

Definition at line 104 of file pearl-menu.ipf.

## ◆ LoadPearlOptics()

variable LoadPearlOptics | ( |  | ) |

Definition at line 98 of file pearl-menu.ipf.

## ◆ LoadPearlPreparation()

variable LoadPearlPreparation | ( |  | ) |

Definition at line 110 of file pearl-menu.ipf.

## ◆ PearlAnglescanTracker()

variable PearlAnglescanTracker | ( | string | epicsname,
|  | string | wbRGB
| ) |  |

display the angle scan tracker window

Parameters

  epicsname | base name of the detector, e.g. X03DA-SCIENTA: image1: and cam1: are appended by the function. see ad_connect().
  wbRGB | window background color, e.g. "(32768,49152,55296)"

Definition at line 242 of file pearl-menu.ipf.

## ◆ PearlCameraDisplay()

variable PearlCameraDisplay | ( | string | epicsname,
|  | string | nickname,
|  | string | wbRGB
| ) |  |

area detector surveillance camera display

display an area detector channel in a simple image window without any interactive controls.

Parameters

  epicsname | base name of the detector, e.g. X03DA-SCIENTA: image1: and cam1: are appended by the function. see ad_connect().
  nickname | nick name under which this detector is referred to in Igor. must be a valid name for a data folder. see ad_connect().
  wbRGB | window background color, e.g. "(32768,49152,55296)"

Definition at line 218 of file pearl-menu.ipf.

## ◆ PearlLiveDisplay()

variable PearlLiveDisplay | ( | string | epicsname,
|  | string | nickname,
|  | string | wbRGB
| ) |  |

area detector live display

display an area detector channel in an ad_display_profiles() window.

Parameters

  epicsname | base name of the detector, e.g. X03DA-SCIENTA: image1: and cam1: are appended by the function. see ad_connect().
  nickname | nick name under which this detector is referred to in Igor. must be a valid name for a data folder. see ad_connect().
  wbRGB | window background color, e.g. "(32768,49152,55296)"

Definition at line 185 of file pearl-menu.ipf.

## ◆ PearlMenuEnableFunc()

string PearlMenuEnableFunc | ( | string | funcname | ) |

check whether a function name exists

return a prefix which disables the menu item if the function does not exist

Definition at line 89 of file pearl-menu.ipf.

## ◆ PearlSampleTracker()

variable PearlSampleTracker | ( | variable | action | ) |

display the sample tracker window

Parameters

  epicsname | base name of the detector, e.g. X03DA-SCIENTA: image1: and cam1: are appended by the function. see ad_connect().
  wbRGB | window background color, e.g. "(32768,49152,55296)"

Definition at line 261 of file pearl-menu.ipf.